commit:     40b5831adadd55442b152c2080d8871cb7cfc6e9
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Tue Dec 29 16:40:04 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Dec 29 16:40:04 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=40b5831a

net-print/cndrvcups-common-lb: Respect AR, prune static-libs

Closes: https://github.com/gentoo/gentoo/pull/18868
Closes: https://bugs.gentoo.org/762235
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 net-print/cndrvcups-common-lb/cndrvcups-common-lb-3.70.ebuild | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/net-print/cndrvcups-common-lb/cndrvcups-common-lb-3.70.ebuild 
b/net-print/cndrvcups-common-lb/cndrvcups-common-lb-3.70.ebuild
index b6566cc425d..03e2dcc952f 100644
--- a/net-print/cndrvcups-common-lb/cndrvcups-common-lb-3.70.ebuild
+++ b/net-print/cndrvcups-common-lb/cndrvcups-common-lb-3.70.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-inherit autotools
+inherit autotools toolchain-funcs
 
 MY_PV="$(ver_rs 1- '')"
 SOURCES_NAME="linux-UFRII-drv-v${MY_PV}-uken"
@@ -75,7 +75,7 @@ src_configure() {
 }
 
 src_compile() {
-       change_dir emake
+       change_dir emake AR="$(tc-getAR)"
 
        # Cannot be moved to 'change_dir' as it doesn't need eautoreconf
        cd "${S}/c3plmod_ipc" || die
@@ -114,4 +114,6 @@ src_install() {
        if [[ "$(get_libdir)" != lib ]] && [[ ${SYMLINK_LIB} = yes ]]; then
                dosym "../$(get_libdir)/libc3pl.so" /usr/lib/libc3pl.so
        fi
+
+       find "${ED}" -name '*.la' -o -name '*.a' -delete || die
 }

Reply via email to